Question

Ionic android buil fails

  • 11 December 2021
  • 2 replies
  • 44 views

Badge +2

Hi, so we are using ionic capacitor framework. Everything works fine on IOS but we have problem with Android. So when we start the build we are running into this errors. Tried different gradle versions 4.2.2 and 7.0.3 - 7.0.4

 

    "@angular/common": "~12.1.1",
"@angular/compiler": "~12.1.1",
"@angular/core": "~12.1.1",
"@angular/fire": "^6.0.5",
"@angular/forms": "~12.1.1",
"@angular/platform-browser": "~12.1.1",
"@angular/platform-browser-dynamic": "~12.1.1",
"@angular/router": "~12.1.1",
"@angular/service-worker": "~12.1.1",
"@bugsnag/js": "^7.13.2",
"@bugsnag/plugin-angular": "^7.13.2",
"@capacitor-community/fcm": "^2.0.2",
"@capacitor-community/firebase-analytics": "^1.0.0",
"@capacitor-community/native-market": "^0.1.4",
"@capacitor/android": "3.1.2",
"@capacitor/app": "1.0.2",
"@capacitor/browser": "^1.0.2",
"@capacitor/core": "^3.1.2",
"@capacitor/device": "^1.0.3",
"@capacitor/haptics": "1.0.2",
"@capacitor/ios": "^3.2.4",
"@capacitor/keyboard": "1.0.2",
"@capacitor/push-notifications": "^1.0.7",
"@capacitor/share": "^1.0.3",
"@capacitor/splash-screen": "^1.1.1",
"@capacitor/status-bar": "^1.0.2",
"@codetrix-studio/capacitor-google-auth": "^3.0.2",
"@fortawesome/angular-fontawesome": "^0.9.0",
"@fortawesome/fontawesome-svg-core": "^1.2.35",
"@fortawesome/free-regular-svg-icons": "^5.15.3",
"@fortawesome/free-solid-svg-icons": "^5.15.3",
"@ionic-native/background-mode": "^5.34.0",
"@ionic-native/core": "^5.34.0",
"@ionic-native/firebase-analytics": "^5.36.0",
"@ionic-native/firebase-x": "^5.36.0",
"@ionic-native/http": "^5.36.0",
"@ionic-native/in-app-purchase-2": "^5.36.0",
"@ionic-native/media": "^5.34.0",
"@ionic-native/native-audio": "^5.34.0",
"@ionic-native/native-storage": "^5.36.0",
"@ionic-native/purchases": "^5.36.0",
"@ionic/angular": "^5.5.2",
"@ng-bootstrap/ng-bootstrap": "^11.0.0-beta.1",
"@ng-bootstrap/schematics": "^2.0.0-alpha.1",
"bootstrap": "^5.0.2",
"capacitor-apple-login": "git+https://github.com/rlfrahm/capacitor-apple-login.git",
"capacitor-native-settings": "^0.1.0",
"cordova-android": "^10.1.1",
"cordova-annotated-plugin-android": "^1.0.4",
"cordova-ios": "^6.2.0",
"cordova-plugin-advanced-http": "^3.2.2",
"cordova-plugin-background-mode": "^0.7.3",
"cordova-plugin-device": "^2.0.3",
"cordova-plugin-file": "^6.0.2",
"cordova-plugin-firebasex": "^13.0.1",
"cordova-plugin-media": "^5.0.3",
"cordova-plugin-nativeaudio": "^3.0.9",
"cordova-plugin-nativestorage": "^2.3.2",
"cordova-plugin-purchase": "^10.6.1",
"cordova-plugin-purchases": "^2.3.1",
"firebase": "^8.0.1",
"howler": "^2.2.3",
"ionic-rating-component": "^1.2.1",
"jquery": "^3.6.0",
"ng-lazyload-image": "^9.1.0",
"ngx-cookie-service": "^12.0.0",
"rxfire": "^6.0.0",
"rxjs": "^6.6.7",
"tslib": "^2.2.0",
"zone.js": "~0.11.4"

 


2 replies

Userlevel 3
Badge +7

Hey @Justinas Jasilionis , 

 

Are you still experiencing this issue? Additionally do you have any full debug logs that show this error occurring? Please be sure to censor out any sensitive information. 

Badge +2

@jazmine I am still having this issue, even tried to make a new project. But problem still exists. Is it possible that revenuecat package “cordova-plugin-purchases” conflicts with IAP “cordova-plugin-purchase”?

Reply